"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setTimeout = setTimeout;
exports.clearTimeout = clearTimeout;

var _polyfill = require("./polyfill.js");

function setTimeout(callback, delay) {
  var startedAt = Date.now();
  var animationFrame = (0, _polyfill.request)(tick);

  function tick() {
    if (Date.now() - startedAt >= delay) {
      callback();
    } else {
      animationFrame = (0, _polyfill.request)(tick);
    }
  }

  return {
    clear: function clear() {
      return (0, _polyfill.cancel)(animationFrame);
    }
  };
}

function clearTimeout(timeout) {
  if (timeout) {
    timeout.clear();
  }
}
//# sourceMappingURL=index.js.map